For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
      • GETlist calls
      • POSTcreate a call
      • GETretrieve a call
      • PUTupdate a call
      • DELdelete a call
      • GETget call count
  • REST Platform Management
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Call ControlCalls

list calls

GET
https://api.jambonz.cloud/v1/Accounts/:AccountSid/Calls
GET
/v1/Accounts/:AccountSid/Calls
$curl https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "account_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "call_id": "call_1234567890abcdef",
5 "call_sid": "9b2d7f3e-8c4a-4f1a-9d3e-1a2b3c4d5e6f",
6 "call_status": "in-progress",
7 "direction": "inbound",
8 "from": "+14155552671",
9 "service_url": "https://api.jambonz.cloud/v1/calls/9b2d7f3e-8c4a-4f1a-9d3e-1a2b3c4d5e6f",
10 "sip_status": 200,
11 "to": "+14155559876",
12 "application_sid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
13 "caller_name": "John Doe",
14 "duration": 125,
15 "originating_sip_trunk_name": "MainSIPTrunk",
16 "parent_call_sid": "2a4b6c8d-1e3f-4a5b-9c7d-0e1f2a3b4c5d"
17 }
18]
Was this page helpful?
Previous

create a call

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

AccountSidstringRequired

Query parameters

directionenumOptional
call direction to retrieve
Allowed values:
fromstringOptional
calling number to retrieve
tostringOptional
called number to retrieve
callStatusenumOptional
call status to retrieve

Response

list of calls for a specified account
account_sidstringformat: "uuid"
call_idstring
call_sidstringformat: "uuid"
call_statusenum
directionenum
Allowed values:
fromstring
service_urlstring
sip_statusinteger
tostring
application_sidstringformat: "uuid"
caller_namestring
durationinteger
originating_sip_trunk_namestring
parent_call_sidstringformat: "uuid"

Errors

500
Internal Server Error